:root {
  /* color variables */
  --color-bg: #ffffff;
  --color-text: #000000;
  --color-primary: #000000;
  --color-secondary: #000000;

  /* styling variables */
  --margin-body: 1rem;
  --flex-gap: 0.5rem;

  font-size: 12pt;
  color: var(--color-text);
}

body {
  margin: 0;
  padding: 0;
  background-color: var(--color-bg);
}

header {
  position: sticky;
  top: 0;
  width: 100%;
  background-color: azure;
  margin: 0;
  overflow-x: hidden;
}

menu {
  border: 1px solid;
  width: auto;
  margin: 0;
  padding: 0;
  margin-inline: var(--margin-body);
  flex-direction: row;
  justify-content: space-between;
  display: flex;
  li {
    border: 1px dashed purple;
    margin: 0;
    padding: 10px;
    background-color: white;
    list-style-type: none;
    max-width: max-content;
  }
  .menu-items {
    display: flex;
    flex-direction: row;
    justify-content: start;
  }
}

main {
  border: 1px solid;
  margin-inline: var(--margin-body);
}

section {
  margin-bottom: 0.5rem;
}

section.hero {
  border: 1px solid blue;
  padding-block: 5rem;
  text-align: center;
}

section.sprint {
  border: 2px solid purple;
  h2 {
    text-align: center;
  }
}

.productvision-container {
  display: flex;
  flex-direction: column;
  gap: var(--flex-gap);
}

.productvision-flex-item {
  border: 1px solid red;
}

section.about-us {
  border: 1px solid blue;
}

footer {
  background-color: azure;
  border: 1px solid;
}
footer .footnote {
  margin-inline: var(--margin-body);
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
}

.anchor {
  scroll-snap-align: start;
  scroll-margin: 3rem;
}

div.invisible {
  margin: 0;
  padding: 0;
  width: 0;
  height: 0;
}

@media screen and (min-width: 768px) {
  :root {
    --margin-body: 2rem;
  }
}
@media screen and (min-width: 1280px) {
  :root {
    --margin-body: 4rem;
    --flex-gap: 2rem;
  }
  .productvision-container {
    flex-direction: row;
    margin-inline: var(--flex-gap);
  }
}
